function [new_y]=SimulatedPlant(y,u,k)
    // This plant is decribed in the following references, if you use this plant/code please cite the following references:
    //  M. Ahmed. Neural-net-based direct adaptive control for a class of nonlinear plants. IEEE Transactions on Automatic Control, 45(1):119-124, 2000.
    // Jérôme Mendes and Rui Araújo. Fuzzy model predictive control for nonlinear processes. In Proc. 17th IEEE International Conference on Emerging Technologies and Factory Automation (ETFA 2012), Kraków, Poland, September 17-21 2012. IEEE. 
    
    if k >900 then
        v = 0.08; //disturbance // Defined by the user    
    else
        v = 0;
    end,
    
    if k>2 then
        new_y = 0.9722*y(k-1) + 0.3578*u(k-1) - 0.1295*u(k-2) - 0.04228*y(k-2)*y(k-2) - 0.3103*y(k-1)*u(k-1) + 0.1663*y(k-2)*u(k-2) - 0.03259*y(k-1)*y(k-1)*y(k-2) + 0.3084*y(k-1)*y(k-2)*u(k-2) + 0.1087*y(k-2)*u(k-1)*u(k-2) - 0.3513*y(k-1)*y(k-1)*u(k-2) + v;
    elseif k==2
        new_y = 0.9722*y(k-1) + 0.3578*u(k-1) - 0.3103*y(k-1)*u(k-1) + v;
    end
endfunction
